# This script was automatically generated from the dsa-1324
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Kazuhiro Nishiyama found a vulnerability in hiki, a Wiki engine written
in Ruby, which could allow a remote attacker to delete arbitrary files
which are writable to the Hiki user, via a specially crafted session
parameter.
For the stable distribution (etch), this problem has been fixed in version
0.8.6-1etch1.
For the unstable distribution (sid) this problem has been fixed in version
0.8.7-1.
We recommend that you upgrade your hiki package.


Solution : http://www.debian.org/security/2007/dsa-1324
Risk factor : High';

if (description) {
 script_id(25629);
 script_version("$Revision: 1.3 $");
 script_xref(name: "DSA", value: "1324");
 script_cve_id("CVE-2007-2836");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1324] DSA-1324-1 hiki");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1324-1 hiki");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'hiki', release: '4.0', reference: '0.8.6-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package hiki is vulnerable in Debian 4.0.\nUpgrade to hiki_0.8.6-1etch1\n');
}
if (deb_check(prefix: 'hiki', release: '4.0', reference: '0.8.6-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package hiki is vulnerable in Debian etch.\nUpgrade to hiki_0.8.6-1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
