# This script was automatically generated from the dsa-1333
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It has been discovered that the GnuTLS certificate verification methods
implemented in libcurl-gnutls, a solid, usable, and portable multi-protocol
file transfer library, did not check for expired or invalid dates.
For the stable distribution (etch), this problem has been fixed in
version 7.15.5-1etch1.
We recommend that you upgrade your libcurl3-gnutls package.


Solution : http://www.debian.org/security/2007/dsa-1333
Risk factor : High';

if (description) {
 script_id(25742);
 script_version("$Revision: 1.3 $");
 script_xref(name: "DSA", value: "1333");
 script_cve_id("CVE-2007-3564");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1333] DSA-1333-1 libcurl3-gnutls");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1333-1 libcurl3-gnutls");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'curl', release: '4.0', reference: '7.15.5-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package curl is vulnerable in Debian 4.0.\nUpgrade to curl_7.15.5-1etch1\n');
}
if (deb_check(prefix: 'libcurl3', release: '4.0', reference: '7.15.5-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcurl3 is vulnerable in Debian 4.0.\nUpgrade to libcurl3_7.15.5-1etch1\n');
}
if (deb_check(prefix: 'libcurl3-dbg', release: '4.0', reference: '7.15.5-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcurl3-dbg is vulnerable in Debian 4.0.\nUpgrade to libcurl3-dbg_7.15.5-1etch1\n');
}
if (deb_check(prefix: 'libcurl3-dev', release: '4.0', reference: '7.15.5-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcurl3-dev is vulnerable in Debian 4.0.\nUpgrade to libcurl3-dev_7.15.5-1etch1\n');
}
if (deb_check(prefix: 'libcurl3-gnutls', release: '4.0', reference: '7.15.5-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcurl3-gnutls is vulnerable in Debian 4.0.\nUpgrade to libcurl3-gnutls_7.15.5-1etch1\n');
}
if (deb_check(prefix: 'libcurl3-gnutls-dev', release: '4.0', reference: '7.15.5-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcurl3-gnutls-dev is vulnerable in Debian 4.0.\nUpgrade to libcurl3-gnutls-dev_7.15.5-1etch1\n');
}
if (deb_check(prefix: 'libcurl3-openssl-dev', release: '4.0', reference: '7.15.5-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcurl3-openssl-dev is vulnerable in Debian 4.0.\nUpgrade to libcurl3-openssl-dev_7.15.5-1etch1\n');
}
if (deb_check(prefix: 'libcurl3-gnutls', release: '4.0', reference: '7.15.5-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcurl3-gnutls is vulnerable in Debian etch.\nUpgrade to libcurl3-gnutls_7.15.5-1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
