# This script was automatically generated from the dsa-1350
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that an integer overflow in the xpdf PDF viewer may lead
to the execution of arbitrary code if a malformed PDF file is opened.
tetex-bin includes a copy of the xpdf code and required an update as
well.
For the oldstable distribution (sarge) this problem has been fixed in
version 2.0.2-30sarge5.
The package from the stable distribution (etch) links dynamically
against libpoppler and doesn\'t require a separate update.
The package from the unstable distribution (sid) links dynamically
against libpoppler and doesn\'t require a separate update.
We recommend that you upgrade your tetex-bin packages.


Solution : http://www.debian.org/security/2007/dsa-1350
Risk factor : High';

if (description) {
 script_id(25858);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1350");
 script_cve_id("CVE-2007-3387");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1350] DSA-1350-1 tetex-bin");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1350-1 tetex-bin");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libkpathsea-dev', release: '3.1', reference: '2.0.2-30sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libkpathsea-dev is vulnerable in Debian 3.1.\nUpgrade to libkpathsea-dev_2.0.2-30sarge5\n');
}
if (deb_check(prefix: 'libkpathsea3', release: '3.1', reference: '2.0.2-30sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libkpathsea3 is vulnerable in Debian 3.1.\nUpgrade to libkpathsea3_2.0.2-30sarge5\n');
}
if (deb_check(prefix: 'tetex-bin', release: '3.1', reference: '2.0.2-30sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tetex-bin is vulnerable in Debian 3.1.\nUpgrade to tetex-bin_2.0.2-30sarge5\n');
}
if (deb_check(prefix: 'tetex-bin', release: '3.1', reference: '2.0.2-30sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tetex-bin is vulnerable in Debian sarge.\nUpgrade to tetex-bin_2.0.2-30sarge5\n');
}
if (w) { security_hole(port: 0, data: desc); }
