# This script was automatically generated from the dsa-1351
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Tavis Ormandy discovered that bochs, a highly portable IA-32 PC emulator,
is vulnerable to a buffer overflow in the emulated NE2000 network device
driver, which may lead to privilege escalation.
For the oldstable distribution (sarge) this problem has been fixed in
version 2.1.1+20041109-3sarge1.
For the stable distribution (etch) this problem has been fixed in
version 2.3-2etch1.
For the unstable distribution (sid) this problem has been fixed in
version 2.3+20070705-1.
We recommend that you upgrade your bochs packages.


Solution : http://www.debian.org/security/2007/dsa-1351
Risk factor : High';

if (description) {
 script_id(25859);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1351");
 script_cve_id("CVE-2007-2893");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1351] DSA-1351-1 bochs");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1351-1 bochs");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'bochs', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs is vulnerable in Debian 3.1.\nUpgrade to bochs_2.1.1+20041109-3sarge1\n');
}
if (deb_check(prefix: 'bochs-doc', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-doc is vulnerable in Debian 3.1.\nUpgrade to bochs-doc_2.1.1+20041109-3sarge1\n');
}
if (deb_check(prefix: 'bochs-sdl', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-sdl is vulnerable in Debian 3.1.\nUpgrade to bochs-sdl_2.1.1+20041109-3sarge1\n');
}
if (deb_check(prefix: 'bochs-svga', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-svga is vulnerable in Debian 3.1.\nUpgrade to bochs-svga_2.1.1+20041109-3sarge1\n');
}
if (deb_check(prefix: 'bochs-term', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-term is vulnerable in Debian 3.1.\nUpgrade to bochs-term_2.1.1+20041109-3sarge1\n');
}
if (deb_check(prefix: 'bochs-wx', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-wx is vulnerable in Debian 3.1.\nUpgrade to bochs-wx_2.1.1+20041109-3sarge1\n');
}
if (deb_check(prefix: 'bochs-x', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-x is vulnerable in Debian 3.1.\nUpgrade to bochs-x_2.1.1+20041109-3sarge1\n');
}
if (deb_check(prefix: 'bochsbios', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochsbios is vulnerable in Debian 3.1.\nUpgrade to bochsbios_2.1.1+20041109-3sarge1\n');
}
if (deb_check(prefix: 'bximage', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bximage is vulnerable in Debian 3.1.\nUpgrade to bximage_2.1.1+20041109-3sarge1\n');
}
if (deb_check(prefix: 'sb16ctrl-bochs', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package sb16ctrl-bochs is vulnerable in Debian 3.1.\nUpgrade to sb16ctrl-bochs_2.1.1+20041109-3sarge1\n');
}
if (deb_check(prefix: 'bochs', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs is vulnerable in Debian 4.0.\nUpgrade to bochs_2.3-2etch1\n');
}
if (deb_check(prefix: 'bochs-doc', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-doc is vulnerable in Debian 4.0.\nUpgrade to bochs-doc_2.3-2etch1\n');
}
if (deb_check(prefix: 'bochs-sdl', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-sdl is vulnerable in Debian 4.0.\nUpgrade to bochs-sdl_2.3-2etch1\n');
}
if (deb_check(prefix: 'bochs-svga', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-svga is vulnerable in Debian 4.0.\nUpgrade to bochs-svga_2.3-2etch1\n');
}
if (deb_check(prefix: 'bochs-term', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-term is vulnerable in Debian 4.0.\nUpgrade to bochs-term_2.3-2etch1\n');
}
if (deb_check(prefix: 'bochs-wx', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-wx is vulnerable in Debian 4.0.\nUpgrade to bochs-wx_2.3-2etch1\n');
}
if (deb_check(prefix: 'bochs-x', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs-x is vulnerable in Debian 4.0.\nUpgrade to bochs-x_2.3-2etch1\n');
}
if (deb_check(prefix: 'bochsbios', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochsbios is vulnerable in Debian 4.0.\nUpgrade to bochsbios_2.3-2etch1\n');
}
if (deb_check(prefix: 'bximage', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bximage is vulnerable in Debian 4.0.\nUpgrade to bximage_2.3-2etch1\n');
}
if (deb_check(prefix: 'sb16ctrl-bochs', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package sb16ctrl-bochs is vulnerable in Debian 4.0.\nUpgrade to sb16ctrl-bochs_2.3-2etch1\n');
}
if (deb_check(prefix: 'bochs', release: '4.0', reference: '2.3-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs is vulnerable in Debian etch.\nUpgrade to bochs_2.3-2etch1\n');
}
if (deb_check(prefix: 'bochs', release: '3.1', reference: '2.1.1+20041109-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bochs is vulnerable in Debian sarge.\nUpgrade to bochs_2.1.1+20041109-3sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
