# This script was automatically generated from the dsa-1354
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that an integer overflow in xpdf PDF viewer may lead
to the execution of arbitrary code if a malformed PDF file is opened.
gpdf includes a copy of the xpdf code and requires an update as well.
For the oldstable distribution (sarge) this problem has been fixed in
version 2.8.2-1.2sarge6.
The stable distribution (etch) no longer contains gpdf.
The unstable distribution (sid) no longer contains gpdf.
We recommend that you upgrade your gpdf packages.


Solution : http://www.debian.org/security/2007/dsa-1354
Risk factor : High';

if (description) {
 script_id(25887);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1354");
 script_cve_id("CVE-2007-3387");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1354] DSA-1354-1 gpdf");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1354-1 gpdf");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'gpdf', release: '3.1', reference: '2.8.2-1.2sarge6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gpdf is vulnerable in Debian 3.1.\nUpgrade to gpdf_2.8.2-1.2sarge6\n');
}
if (deb_check(prefix: 'gpdf', release: '3.1', reference: '2.8.2-1.2sarge6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gpdf is vulnerable in Debian sarge.\nUpgrade to gpdf_2.8.2-1.2sarge6\n');
}
if (w) { security_hole(port: 0, data: desc); }
