# This script was automatically generated from the dsa-1357
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that an integer overflow in the xpdf PDF viewer may lead
to the execution of arbitrary code if a malformed PDF file is opened.
koffice includes a copy of the xpdf code and required an update as well.
The oldstable distribution (sarge) will be fixed later.
For the stable distribution (etch) this problem has been fixed in
version 1.6.1-2etch1.
For the unstable distribution (sid) this problem has been fixed in
version 1.6.3-2.
We recommend that you upgrade your koffice packages.


Solution : http://www.debian.org/security/2007/dsa-1357
Risk factor : High';

if (description) {
 script_id(25937);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1357");
 script_cve_id("CVE-2007-3387");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1357] DSA-1357-1 koffice");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1357-1 koffice");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'karbon', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package karbon is vulnerable in Debian 4.0.\nUpgrade to karbon_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kchart', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kchart is vulnerable in Debian 4.0.\nUpgrade to kchart_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kexi', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kexi is vulnerable in Debian 4.0.\nUpgrade to kexi_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kformula', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kformula is vulnerable in Debian 4.0.\nUpgrade to kformula_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kivio', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kivio is vulnerable in Debian 4.0.\nUpgrade to kivio_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kivio-data', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kivio-data is vulnerable in Debian 4.0.\nUpgrade to kivio-data_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'koffice', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice is vulnerable in Debian 4.0.\nUpgrade to koffice_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'koffice-data', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-data is vulnerable in Debian 4.0.\nUpgrade to koffice-data_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'koffice-dbg', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-dbg is vulnerable in Debian 4.0.\nUpgrade to koffice-dbg_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'koffice-dev', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-dev is vulnerable in Debian 4.0.\nUpgrade to koffice-dev_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'koffice-doc', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-doc is vulnerable in Debian 4.0.\nUpgrade to koffice-doc_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'koffice-doc-html', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-doc-html is vulnerable in Debian 4.0.\nUpgrade to koffice-doc-html_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'koffice-libs', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-libs is vulnerable in Debian 4.0.\nUpgrade to koffice-libs_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'koshell', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koshell is vulnerable in Debian 4.0.\nUpgrade to koshell_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kplato', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kplato is vulnerable in Debian 4.0.\nUpgrade to kplato_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kpresenter', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kpresenter is vulnerable in Debian 4.0.\nUpgrade to kpresenter_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kpresenter-data', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kpresenter-data is vulnerable in Debian 4.0.\nUpgrade to kpresenter-data_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'krita', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package krita is vulnerable in Debian 4.0.\nUpgrade to krita_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'krita-data', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package krita-data is vulnerable in Debian 4.0.\nUpgrade to krita-data_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kspread', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kspread is vulnerable in Debian 4.0.\nUpgrade to kspread_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kthesaurus', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kthesaurus is vulnerable in Debian 4.0.\nUpgrade to kthesaurus_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kugar', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kugar is vulnerable in Debian 4.0.\nUpgrade to kugar_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kword', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kword is vulnerable in Debian 4.0.\nUpgrade to kword_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'kword-data', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kword-data is vulnerable in Debian 4.0.\nUpgrade to kword-data_1.6.1-2etch1\n');
}
if (deb_check(prefix: 'koffice', release: '4.0', reference: '1.6.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice is vulnerable in Debian etch.\nUpgrade to koffice_1.6.1-2etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
