# This script was automatically generated from the dsa-1360
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Sebastian Krahmer discovered that rsync, a fast remote file copy program,
contains an off-by-one error which might allow remote attackers to execute
arbitrary code via long directory names.
For the old stable distribution (sarge), this problem is not present.
For the stable distribution (etch), this problem has been fixed in version
2.6.9-2etch1.
For the unstable distribution (sid) this problem will be fixed soon.
We recommend that you upgrade your rsync package.


Solution : http://www.debian.org/security/2007/dsa-1360
Risk factor : High';

if (description) {
 script_id(25960);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1360");
 script_cve_id("CVE-2007-4091");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1360] DSA-1360-1 rsync");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1360-1 rsync");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'rsync', release: '4.0', reference: '2.6.9-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package rsync is vulnerable in Debian 4.0.\nUpgrade to rsync_2.6.9-2etch1\n');
}
if (deb_check(prefix: 'rsync', release: '4.0', reference: '2.6.9-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package rsync is vulnerable in Debian etch.\nUpgrade to rsync_2.6.9-2etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
