# This script was automatically generated from the dsa-1365
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Nikolaus Schulz discovered that a programming error in id3lib, an ID3 Tag
Library, may lead to denial of service through symlink attacks.
For the oldstable distribution (sarge) this problem has been fixed in
version 3.8.3-4.1sarge1.
Due to a technical limitation in the archive management scripts the fix
for the stable distribution (etch) can only be released in a few days.
For the unstable distribution (sid) this problem has been fixed in
version 3.8.3-7.
We recommend that you upgrade your id3lib3.8.3 packages.


Solution : http://www.debian.org/security/2007/dsa-1365
Risk factor : High';

if (description) {
 script_id(25965);
 script_version("$Revision: 1.3 $");
 script_xref(name: "DSA", value: "1365");
 script_cve_id("CVE-2007-4460");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1365] DSA-1365-3 id3lib3.8.3");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1365-3 id3lib3.8.3");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libid3-3.8.3', release: '3.1', reference: '3.8.3-4.1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libid3-3.8.3 is vulnerable in Debian 3.1.\nUpgrade to libid3-3.8.3_3.8.3-4.1sarge1\n');
}
if (deb_check(prefix: 'libid3-3.8.3-dev', release: '3.1', reference: '3.8.3-4.1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libid3-3.8.3-dev is vulnerable in Debian 3.1.\nUpgrade to libid3-3.8.3-dev_3.8.3-4.1sarge1\n');
}
if (deb_check(prefix: 'id3lib3.8.3', release: '3.1', reference: '3.8.3-4.1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package id3lib3.8.3 is vulnerable in Debian sarge.\nUpgrade to id3lib3.8.3_3.8.3-4.1sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
