# This script was automatically generated from the dsa-1368
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that a buffer overflow of the library for secure RPC
communication over the rpcsec_gss protocol allows the execution of
arbitrary code.
The oldstable distribution (sarge) doesn\'t contain librpcsecgss.
For the stable distribution (etch) this problem has been fixed in
version 0.14-2etch1.
For the unstable distribution (sid) this problem will be fixed soon.
We recommend that you upgrade your librpcsecgss packages.


Solution : http://www.debian.org/security/2007/dsa-1368
Risk factor : High';

if (description) {
 script_id(26029);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1368");
 script_cve_id("CVE-2007-3999");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1368] DSA-1368-1 librpcsecgss");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1368-1 librpcsecgss");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'librpcsecgss-dev', release: '4.0', reference: '0.14-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package librpcsecgss-dev is vulnerable in Debian 4.0.\nUpgrade to librpcsecgss-dev_0.14-2etch1\n');
}
if (deb_check(prefix: 'librpcsecgss3', release: '4.0', reference: '0.14-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package librpcsecgss3 is vulnerable in Debian 4.0.\nUpgrade to librpcsecgss3_0.14-2etch1\n');
}
if (deb_check(prefix: 'librpcsecgss', release: '4.0', reference: '0.14-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package librpcsecgss is vulnerable in Debian etch.\nUpgrade to librpcsecgss_0.14-2etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
