# This script was automatically generated from the dsa-1372
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Aaron Plattner discovered a buffer overflow in the Composite extension
of the X.org X server, which can lead to local privilege escalation.
The oldstable distribution (sarge) is not affected by this problem.
For the stable distribution (etch) this problem has been fixed in
version 1.1.1-21etch1.
For the unstable distribution (sid) this problem will be fixed soon.
We recommend that you upgrade your xorg-server packages.


Solution : http://www.debian.org/security/2007/dsa-1372
Risk factor : High';

if (description) {
 script_id(26033);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1372");
 script_cve_id("CVE-2007-4730");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1372] DSA-1372-1 xorg-server");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1372-1 xorg-server");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'xdmx', release: '4.0', reference: '1.1.1-21etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xdmx is vulnerable in Debian 4.0.\nUpgrade to xdmx_1.1.1-21etch1\n');
}
if (deb_check(prefix: 'xdmx-tools', release: '4.0', reference: '1.1.1-21etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xdmx-tools is vulnerable in Debian 4.0.\nUpgrade to xdmx-tools_1.1.1-21etch1\n');
}
if (deb_check(prefix: 'xnest', release: '4.0', reference: '1.1.1-21etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xnest is vulnerable in Debian 4.0.\nUpgrade to xnest_1.1.1-21etch1\n');
}
if (deb_check(prefix: 'xserver-xephyr', release: '4.0', reference: '1.1.1-21etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xserver-xephyr is vulnerable in Debian 4.0.\nUpgrade to xserver-xephyr_1.1.1-21etch1\n');
}
if (deb_check(prefix: 'xserver-xorg-core', release: '4.0', reference: '1.1.1-21etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xserver-xorg-core is vulnerable in Debian 4.0.\nUpgrade to xserver-xorg-core_1.1.1-21etch1\n');
}
if (deb_check(prefix: 'xserver-xorg-dev', release: '4.0', reference: '1.1.1-21etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xserver-xorg-dev is vulnerable in Debian 4.0.\nUpgrade to xserver-xorg-dev_1.1.1-21etch1\n');
}
if (deb_check(prefix: 'xvfb', release: '4.0', reference: '1.1.1-21etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xvfb is vulnerable in Debian 4.0.\nUpgrade to xvfb_1.1.1-21etch1\n');
}
if (deb_check(prefix: 'xorg-server', release: '4.0', reference: '1.1.1-21etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xorg-server is vulnerable in Debian etch.\nUpgrade to xorg-server_1.1.1-21etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
