# This script was automatically generated from the dsa-1377
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Matthias Andree discovered that fetchmail, an SSL enabled POP3, APOP 
and IMAP mail gatherer/forwarder, can under certain circumstances 
attempt to dereference a NULL pointer and crash.
For the old stable distribution (sarge), this problem was not present.
For the stable distribution (etch), this problem has been fixed in
version 6.3.6-1etch1.
For the unstable distribution (sid), this problem will be fixed soon.
We recommend that you upgrade your fetchmail package.


Solution : http://www.debian.org/security/2007/dsa-1377
Risk factor : High';

if (description) {
 script_id(26080);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1377");
 script_cve_id("CVE-2007-4565");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1377] DSA-1377-2 fetchmail");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1377-2 fetchmail");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'fetchmail', release: '4.0', reference: '6.3.6-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package fetchmail is vulnerable in Debian 4.0.\nUpgrade to fetchmail_6.3.6-1etch1\n');
}
if (deb_check(prefix: 'fetchmailconf', release: '4.0', reference: '6.3.6-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package fetchmailconf is vulnerable in Debian 4.0.\nUpgrade to fetchmailconf_6.3.6-1etch1\n');
}
if (deb_check(prefix: 'fetchmail', release: '4.0', reference: '6.3.6-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package fetchmail is vulnerable in Debian etch.\nUpgrade to fetchmail_6.3.6-1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
