# This script was automatically generated from the dsa-1389
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that zoph, a web based photo management system, 
performs insufficient input sanitising, which allows SQL injection.
For the oldstable distribution (sarge) this problem has been fixed in
version 0.3.3-12sarge3.
For the stable distribution (etch) this problem has been fixed in
version 0.6-2.1etch1.
For the unstable distribution (sid) this problem has been fixed in
version 0.7.0.2-1.
We recommend that you upgrade your zoph package.


Solution : http://www.debian.org/security/2007/dsa-1389
Risk factor : High';

if (description) {
 script_id(27544);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1389");
 script_cve_id("CVE-2007-3905");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1389] DSA-1389-2 zoph");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1389-2 zoph");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'zoph', release: '3.1', reference: '0.3.3-12sarge3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zoph is vulnerable in Debian 3.1.\nUpgrade to zoph_0.3.3-12sarge3\n');
}
if (deb_check(prefix: 'zoph', release: '4.0', reference: '0.6-2.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zoph is vulnerable in Debian 4.0.\nUpgrade to zoph_0.6-2.1etch1\n');
}
if (deb_check(prefix: 'zoph', release: '4.0', reference: '0.6-2.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zoph is vulnerable in Debian etch.\nUpgrade to zoph_0.6-2.1etch1\n');
}
if (deb_check(prefix: 'zoph', release: '3.1', reference: '0.3.3-12sarge3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zoph is vulnerable in Debian sarge.\nUpgrade to zoph_0.3.3-12sarge3\n');
}
if (w) { security_hole(port: 0, data: desc); }
