# This script was automatically generated from the dsa-1397
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

An integer overflow in the BigInteger data type implementation has been
discovered in the free .NET runtime Mono.


The oldstable distribution (sarge) doesn\'t contain mono.


For the stable distribution (etch) this problem has been fixed in
version 1.2.2.1-1etch1. A powerpc build will be provided later.


The unstable distribution (sid) will be fixed soon.


We recommend that you upgrade your mono packages.



Solution : http://www.debian.org/security/2007/dsa-1397
Risk factor : High';

if (description) {
 script_id(27621);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1397");
 script_cve_id("CVE-2007-5197");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1397] DSA-1397-1 mono");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1397-1 mono");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libmono-accessibility1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-accessibility1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-accessibility1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-accessibility2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-accessibility2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-accessibility2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-bytefx0.7.6.1-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-bytefx0.7.6.1-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-bytefx0.7.6.1-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-bytefx0.7.6.2-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-bytefx0.7.6.2-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-bytefx0.7.6.2-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-c5-1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-c5-1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-c5-1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-cairo1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-cairo1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-cairo1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-cairo2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-cairo2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-cairo2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-corlib1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-corlib1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-corlib1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-corlib2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-corlib2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-corlib2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-cscompmgd7.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-cscompmgd7.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-cscompmgd7.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-cscompmgd8.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-cscompmgd8.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-cscompmgd8.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-data-tds1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-data-tds1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-data-tds1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-data-tds2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-data-tds2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-data-tds2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-dev', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-dev is vulnerable in Debian 4.0.\nUpgrade to libmono-dev_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-firebirdsql1.7-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-firebirdsql1.7-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-firebirdsql1.7-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-ldap1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-ldap1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-ldap1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-ldap2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-ldap2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-ldap2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-microsoft-build2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-microsoft-build2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-microsoft-build2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-microsoft7.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-microsoft7.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-microsoft7.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-microsoft8.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-microsoft8.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-microsoft8.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-npgsql1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-npgsql1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-npgsql1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-npgsql2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-npgsql2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-npgsql2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-oracle1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-oracle1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-oracle1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-oracle2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-oracle2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-oracle2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-peapi1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-peapi1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-peapi1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-peapi2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-peapi2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-peapi2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-relaxng1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-relaxng1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-relaxng1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-relaxng2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-relaxng2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-relaxng2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-security1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-security1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-security1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-security2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-security2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-security2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-sharpzip0.6-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-sharpzip0.6-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-sharpzip0.6-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-sharpzip0.84-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-sharpzip0.84-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-sharpzip0.84-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-sharpzip2.6-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-sharpzip2.6-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-sharpzip2.6-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-sharpzip2.84-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-sharpzip2.84-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-sharpzip2.84-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-sqlite1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-sqlite1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-sqlite1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-sqlite2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-sqlite2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-sqlite2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system-data1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system-data1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system-data1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system-data2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system-data2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system-data2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system-ldap1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system-ldap1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system-ldap1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system-ldap2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system-ldap2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system-ldap2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system-messaging1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system-messaging1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system-messaging1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system-messaging2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system-messaging2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system-messaging2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system-runtime1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system-runtime1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system-runtime1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system-runtime2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system-runtime2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system-runtime2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system-web1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system-web1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system-web1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system-web2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system-web2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system-web2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-system2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-system2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-system2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-winforms1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-winforms1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-winforms1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono-winforms2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono-winforms2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono-winforms2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono0', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono0 is vulnerable in Debian 4.0.\nUpgrade to libmono0_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono1.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono1.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono1.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'libmono2.0-cil', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libmono2.0-cil is vulnerable in Debian 4.0.\nUpgrade to libmono2.0-cil_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono is vulnerable in Debian 4.0.\nUpgrade to mono_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono-common', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono-common is vulnerable in Debian 4.0.\nUpgrade to mono-common_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono-devel', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono-devel is vulnerable in Debian 4.0.\nUpgrade to mono-devel_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono-gac', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono-gac is vulnerable in Debian 4.0.\nUpgrade to mono-gac_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono-gmcs', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono-gmcs is vulnerable in Debian 4.0.\nUpgrade to mono-gmcs_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono-jay', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono-jay is vulnerable in Debian 4.0.\nUpgrade to mono-jay_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono-jit', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono-jit is vulnerable in Debian 4.0.\nUpgrade to mono-jit_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono-mcs', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono-mcs is vulnerable in Debian 4.0.\nUpgrade to mono-mcs_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono-mjs', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono-mjs is vulnerable in Debian 4.0.\nUpgrade to mono-mjs_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono-runtime', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono-runtime is vulnerable in Debian 4.0.\nUpgrade to mono-runtime_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono-utils', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono-utils is vulnerable in Debian 4.0.\nUpgrade to mono-utils_1.2.2.1-1etch1\n');
}
if (deb_check(prefix: 'mono', release: '4.0', reference: '1.2.2.1-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mono is vulnerable in Debian etch.\nUpgrade to mono_1.2.2.1-1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
