# This script was automatically generated from the dsa-1404
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Nicklous Roberts discovered that the Reupload module of Gallery 2, a web
based photo management application, allowed unauthorized users to edit
Gallery\'s data file.
The oldstable distribution (sarge) does not contain a gallery2 package.
The previous gallery package is not affected by this vulnerability.
For the stable distribution (etch) this problem has been fixed in
version 2.1.2-2.0.etch.1.
For the unstable distribution (sid) this problem has been fixed in
version 2.2.3-1.
We recommend that you upgrade your gallery2 package.


Solution : http://www.debian.org/security/2007/dsa-1404
Risk factor : High';

if (description) {
 script_id(27843);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1404");
 script_cve_id("CVE-2007-4650");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1404] DSA-1404-1 gallery2");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1404-1 gallery2");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'gallery2', release: '4.0', reference: '2.1.2-2.0.etch.1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gallery2 is vulnerable in Debian 4.0.\nUpgrade to gallery2_2.1.2-2.0.etch.1\n');
}
if (deb_check(prefix: 'gallery2', release: '4.0', reference: '2.1.2-2.0.etch.1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gallery2 is vulnerable in Debian etch.\nUpgrade to gallery2_2.1.2-2.0.etch.1\n');
}
if (w) { security_hole(port: 0, data: desc); }
