# This script was automatically generated from the dsa-1405
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that Plone, a web content management system, allows
remote attackers to execute arbitrary code via specially crafted web
browser cookies.
The oldstable distribution (sarge) is not affected by this problem.
For the stable distribution (etch) this problem has been fixed in
version 2.5.1-4etch3.
For the unstable distribution (sid) this problem has been fixed in
version 2.5.2-3.
We recommend that you upgrade your zope-cmfplone package.


Solution : http://www.debian.org/security/2007/dsa-1405
Risk factor : High';

if (description) {
 script_id(28150);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1405");
 script_cve_id("CVE-2007-5741");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1405] DSA-1405-3 zope-cmfplone");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1405-3 zope-cmfplone");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'plone-site', release: '4.0', reference: '2.5.1-4etch3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package plone-site is vulnerable in Debian 4.0.\nUpgrade to plone-site_2.5.1-4etch3\n');
}
if (deb_check(prefix: 'zope-cmfplone', release: '4.0', reference: '2.5.1-4etch3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zope-cmfplone is vulnerable in Debian 4.0.\nUpgrade to zope-cmfplone_2.5.1-4etch3\n');
}
if (deb_check(prefix: 'zope-cmfplone', release: '4.0', reference: '2.5.1-4etch3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zope-cmfplone is vulnerable in Debian etch.\nUpgrade to zope-cmfplone_2.5.1-4etch3\n');
}
if (w) { security_hole(port: 0, data: desc); }
