# This script was automatically generated from the dsa-1415
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that Tk, a cross-platform graphical toolkit for Tcl
performs insufficient input validation in the code used to load GIF
images, which may lead to the execution of arbitrary code.
For the old stable distribution (sarge), this problem has been fixed
in version 8.4.9-1sarge1.
For the stable distribution (etch), this problem has been fixed in
version 8.4.12-1etch1.
We recommend that you upgrade your tk8.4 packages. Updated packages for
sparc will be provided later.


Solution : http://www.debian.org/security/2007/dsa-1415
Risk factor : High';

if (description) {
 script_id(28338);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1415");
 script_cve_id("CVE-2007-5378");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1415] DSA-1415-1 tk8.4");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1415-1 tk8.4");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'tk8.4', release: '3.1', reference: '8.4.9-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tk8.4 is vulnerable in Debian 3.1.\nUpgrade to tk8.4_8.4.9-1sarge1\n');
}
if (deb_check(prefix: 'tk8.4-dev', release: '3.1', reference: '8.4.9-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tk8.4-dev is vulnerable in Debian 3.1.\nUpgrade to tk8.4-dev_8.4.9-1sarge1\n');
}
if (deb_check(prefix: 'tk8.4-doc', release: '3.1', reference: '8.4.9-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tk8.4-doc is vulnerable in Debian 3.1.\nUpgrade to tk8.4-doc_8.4.9-1sarge1\n');
}
if (deb_check(prefix: 'tk8.4', release: '4.0', reference: '8.4.12-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tk8.4 is vulnerable in Debian 4.0.\nUpgrade to tk8.4_8.4.12-1etch1\n');
}
if (deb_check(prefix: 'tk8.4-dev', release: '4.0', reference: '8.4.12-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tk8.4-dev is vulnerable in Debian 4.0.\nUpgrade to tk8.4-dev_8.4.12-1etch1\n');
}
if (deb_check(prefix: 'tk8.4-doc', release: '4.0', reference: '8.4.12-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tk8.4-doc is vulnerable in Debian 4.0.\nUpgrade to tk8.4-doc_8.4.12-1etch1\n');
}
if (deb_check(prefix: 'tk8.4', release: '4.0', reference: '8.4.12-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tk8.4 is vulnerable in Debian etch.\nUpgrade to tk8.4_8.4.12-1etch1\n');
}
if (deb_check(prefix: 'tk8.4', release: '3.1', reference: '8.4.9-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tk8.4 is vulnerable in Debian sarge.\nUpgrade to tk8.4_8.4.9-1sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
