# This script was automatically generated from the dsa-1420
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Bas van Schaik discovered that the agentd process of Zabbix, a network
monitor system, may run user-supplied commands as group id root, not
zabbix, which may lead to a privilege escalation.


zabbix is not included in the oldstable distribution (sarge).


For the stable distribution (etch), this problem has been fixed in version
1:1.1.4-10etch1.


We recommend that you upgrade your zabbix packages.



Solution : http://www.debian.org/security/2007/dsa-1420
Risk factor : High';

if (description) {
 script_id(29227);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1420");
 script_cve_id("CVE-2007-6210");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1420] DSA-1420-1 zabbix");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1420-1 zabbix");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'zabbix-agent', release: '4.0', reference: '1.1.4-10etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zabbix-agent is vulnerable in Debian 4.0.\nUpgrade to zabbix-agent_1.1.4-10etch1\n');
}
if (deb_check(prefix: 'zabbix-frontend-php', release: '4.0', reference: '1.1.4-10etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zabbix-frontend-php is vulnerable in Debian 4.0.\nUpgrade to zabbix-frontend-php_1.1.4-10etch1\n');
}
if (deb_check(prefix: 'zabbix-server-mysql', release: '4.0', reference: '1.1.4-10etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zabbix-server-mysql is vulnerable in Debian 4.0.\nUpgrade to zabbix-server-mysql_1.1.4-10etch1\n');
}
if (deb_check(prefix: 'zabbix-server-pgsql', release: '4.0', reference: '1.1.4-10etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zabbix-server-pgsql is vulnerable in Debian 4.0.\nUpgrade to zabbix-server-pgsql_1.1.4-10etch1\n');
}
if (deb_check(prefix: 'zabbix', release: '4.0', reference: '1.1.4-10etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package zabbix is vulnerable in Debian etch.\nUpgrade to zabbix_1.1.4-10etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
