# This script was automatically generated from the dsa-1433
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Several remote vulnerabilities have been discovered in centericq,
a text-mode multi-protocol instant messenger client, which could allow
remote attackers to execute arbitrary code due to insufficient bounds-testing.


For the old stable distribution (sarge) these problems have been fixed in
version 4.20.0-1sarge5.


For the stable distribution (etch) these problems have been fixed in version
4.21.0-18etch1.


We recommend that you upgrade your centericq package.



Solution : http://www.debian.org/security/2007/dsa-1433
Risk factor : High';

if (description) {
 script_id(29706);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1433");
 script_cve_id("CVE-2007-3713");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1433] DSA-1433-1 centericq");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1433-1 centericq");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'centericq', release: '3.1', reference: '4.20.0-1sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package centericq is vulnerable in Debian 3.1.\nUpgrade to centericq_4.20.0-1sarge5\n');
}
if (deb_check(prefix: 'centericq-common', release: '3.1', reference: '4.20.0-1sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package centericq-common is vulnerable in Debian 3.1.\nUpgrade to centericq-common_4.20.0-1sarge5\n');
}
if (deb_check(prefix: 'centericq-fribidi', release: '3.1', reference: '4.20.0-1sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package centericq-fribidi is vulnerable in Debian 3.1.\nUpgrade to centericq-fribidi_4.20.0-1sarge5\n');
}
if (deb_check(prefix: 'centericq-utf8', release: '3.1', reference: '4.20.0-1sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package centericq-utf8 is vulnerable in Debian 3.1.\nUpgrade to centericq-utf8_4.20.0-1sarge5\n');
}
if (deb_check(prefix: 'centericq', release: '4.0', reference: '4.21.0-18etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package centericq is vulnerable in Debian 4.0.\nUpgrade to centericq_4.21.0-18etch1\n');
}
if (deb_check(prefix: 'centericq-common', release: '4.0', reference: '4.21.0-18etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package centericq-common is vulnerable in Debian 4.0.\nUpgrade to centericq-common_4.21.0-18etch1\n');
}
if (deb_check(prefix: 'centericq-fribidi', release: '4.0', reference: '4.21.0-18etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package centericq-fribidi is vulnerable in Debian 4.0.\nUpgrade to centericq-fribidi_4.21.0-18etch1\n');
}
if (deb_check(prefix: 'centericq-utf8', release: '4.0', reference: '4.21.0-18etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package centericq-utf8 is vulnerable in Debian 4.0.\nUpgrade to centericq-utf8_4.21.0-18etch1\n');
}
if (deb_check(prefix: 'centericq', release: '4.0', reference: '4.21.0-18etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package centericq is vulnerable in Debian etch.\nUpgrade to centericq_4.21.0-18etch1\n');
}
if (deb_check(prefix: 'centericq', release: '3.1', reference: '4.20.0-1sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package centericq is vulnerable in Debian sarge.\nUpgrade to centericq_4.20.0-1sarge5\n');
}
if (w) { security_hole(port: 0, data: desc); }
