# This script was automatically generated from the dsa-1441
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Luigi Auriemma discovered that PeerCast, a P2P audio and video streaming
server, is vulnerable to a heap overflow in the HTTP server code, which
allows remote attackers to cause a denial of service and possibly execute
arbitrary code via a long SOURCE request.


The old stable distribution (sarge) does not contain peercast.


For the stable distribution (etch), this problem has been fixed in
version 0.1217.toots.20060314-1etch0.


For the unstable distribution (sid), this problem has been fixed in
version 0.1218+svn20071220+2.


We recommend that you upgrade your peercast packages.



Solution : http://www.debian.org/security/2007/dsa-1441
Risk factor : High';

if (description) {
 script_id(29808);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1441");
 script_cve_id("CVE-2007-6454");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1441] DSA-1441-1 peercast");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1441-1 peercast");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libpeercast0', release: '4.0', reference: '0.1217.toots.20060314-1etch0')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpeercast0 is vulnerable in Debian 4.0.\nUpgrade to libpeercast0_0.1217.toots.20060314-1etch0\n');
}
if (deb_check(prefix: 'libpeercast0-dev', release: '4.0', reference: '0.1217.toots.20060314-1etch0')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpeercast0-dev is vulnerable in Debian 4.0.\nUpgrade to libpeercast0-dev_0.1217.toots.20060314-1etch0\n');
}
if (deb_check(prefix: 'peercast', release: '4.0', reference: '0.1217.toots.20060314-1etch0')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package peercast is vulnerable in Debian 4.0.\nUpgrade to peercast_0.1217.toots.20060314-1etch0\n');
}
if (deb_check(prefix: 'peercast-handlers', release: '4.0', reference: '0.1217.toots.20060314-1etch0')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package peercast-handlers is vulnerable in Debian 4.0.\nUpgrade to peercast-handlers_0.1217.toots.20060314-1etch0\n');
}
if (deb_check(prefix: 'peercast-servent', release: '4.0', reference: '0.1217.toots.20060314-1etch0')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package peercast-servent is vulnerable in Debian 4.0.\nUpgrade to peercast-servent_0.1217.toots.20060314-1etch0\n');
}
if (deb_check(prefix: 'peercast', release: '4.0', reference: '0.1217.toots.20060314-1etch0')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package peercast is vulnerable in Debian etch.\nUpgrade to peercast_0.1217.toots.20060314-1etch0\n');
}
if (w) { security_hole(port: 0, data: desc); }
