# This script was automatically generated from the dsa-1444
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

It was discovered that the patch for CVE-2007-4659 could lead to
regressions in some scenarios. The fix has been reverted for now,
a revised update will be provided in a future PHP DSA.

For reference the original advisory below:

Several remote vulnerabilities have been discovered in PHP, a
server-side, HTML-embedded scripting language. The Common 
Vulnerabilities and Exposures project identifies the following
problems:

    
    It was discovered that the session_start() function allowed the
    insertion of attributes into the session cookie.
    
    
    Mattias Bengtsson and Philip Olausson discovered that a
    programming error in the implementation of the wordwrap() function
    allowed denial of service through an infinite loop.
    
    
    Stanislav Malyshev discovered that a format string vulnerability
    in the money_format() function could allow the execution of
    arbitrary code.
    
    
    Stefan Esser discovered that execution control flow inside the
    zend_alter_ini_entry() function is handled incorrectly in case
    of a memory limit violation.
    
    
    Gerhard Wagner discovered an integer overflow inside the
    chunk_split() function.
    
    
    Rasmus Lerdorf discovered that incorrect parsing of multibyte
    sequences may lead to disclosure of memory contents.
    
    
    It was discovered that the output_add_rewrite_var() function could
    leak session ID information, resulting in information disclosure.
    

This update also fixes two bugs from the PHP 5.2.4 release which
don\'t have security impact according to the Debian PHP security policy
(CVE-2007-4657 and CVE-2007-4662), but which are fixed nonetheless.


The old stable distribution (sarge) doesn\'t contain php5.


For the stable distribution (etch), these problems have been fixed in
version 5.2.0-8+etch10.


For the unstable distribution (sid), these problems have been fixed
in version 5.2.4-1, with the exception of CVE-2007-5898 and
CVE-2007-5899, which will be fixed soon. Please note that Debian\'s
version of PHP is hardened with the Suhosin patch beginning with
version 5.2.4-1, which renders several vulnerabilities ineffective.


We recommend that you upgrade your php5 packages.



Solution : http://www.debian.org/security/2008/dsa-1444
Risk factor : High';

if (description) {
 script_id(29838);
 script_version("$Revision: 1.5 $");
 script_xref(name: "DSA", value: "1444");
 script_cve_id("CVE-2007-3799", "CVE-2007-3998", "CVE-2007-4657", "CVE-2007-4658", "CVE-2007-4660", "CVE-2007-4662", "CVE-2007-5898");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1444] DSA-1444-2 php5");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1444-2 php5");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libapache-mod-php5', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libapache-mod-php5 is vulnerable in Debian 4.0.\nUpgrade to libapache-mod-php5_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'libapache2-mod-php5', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libapache2-mod-php5 is vulnerable in Debian 4.0.\nUpgrade to libapache2-mod-php5_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php-pear', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php-pear is vulnerable in Debian 4.0.\nUpgrade to php-pear_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5 is vulnerable in Debian 4.0.\nUpgrade to php5_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-cgi', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-cgi is vulnerable in Debian 4.0.\nUpgrade to php5-cgi_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-cli', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-cli is vulnerable in Debian 4.0.\nUpgrade to php5-cli_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-common', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-common is vulnerable in Debian 4.0.\nUpgrade to php5-common_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-curl', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-curl is vulnerable in Debian 4.0.\nUpgrade to php5-curl_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-dev', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-dev is vulnerable in Debian 4.0.\nUpgrade to php5-dev_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-gd', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-gd is vulnerable in Debian 4.0.\nUpgrade to php5-gd_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-imap', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-imap is vulnerable in Debian 4.0.\nUpgrade to php5-imap_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-interbase', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-interbase is vulnerable in Debian 4.0.\nUpgrade to php5-interbase_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-ldap', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-ldap is vulnerable in Debian 4.0.\nUpgrade to php5-ldap_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-mcrypt', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-mcrypt is vulnerable in Debian 4.0.\nUpgrade to php5-mcrypt_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-mhash', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-mhash is vulnerable in Debian 4.0.\nUpgrade to php5-mhash_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-mysql', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-mysql is vulnerable in Debian 4.0.\nUpgrade to php5-mysql_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-odbc', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-odbc is vulnerable in Debian 4.0.\nUpgrade to php5-odbc_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-pgsql', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-pgsql is vulnerable in Debian 4.0.\nUpgrade to php5-pgsql_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-pspell', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-pspell is vulnerable in Debian 4.0.\nUpgrade to php5-pspell_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-recode', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-recode is vulnerable in Debian 4.0.\nUpgrade to php5-recode_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-snmp', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-snmp is vulnerable in Debian 4.0.\nUpgrade to php5-snmp_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-sqlite', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-sqlite is vulnerable in Debian 4.0.\nUpgrade to php5-sqlite_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-sybase', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-sybase is vulnerable in Debian 4.0.\nUpgrade to php5-sybase_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-tidy', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-tidy is vulnerable in Debian 4.0.\nUpgrade to php5-tidy_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-xmlrpc', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-xmlrpc is vulnerable in Debian 4.0.\nUpgrade to php5-xmlrpc_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5-xsl', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5-xsl is vulnerable in Debian 4.0.\nUpgrade to php5-xsl_5.2.0-8+etch10\n');
}
if (deb_check(prefix: 'php5', release: '4.0', reference: '5.2.0-8+etch10')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package php5 is vulnerable in Debian etch.\nUpgrade to php5_5.2.0-8+etch10\n');
}
if (w) { security_hole(port: 0, data: desc); }
