# This script was automatically generated from the dsa-1448
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that eggdrop, an advanced IRC robot, was vulnerable
to a buffer overflow which could result in a remote user executing
arbitrary code.
For the old stable distribution (sarge), this problem has been fixed in
version 1.6.17-3sarge1.
For the stable distribution (etch), this problem has been fixed in version
1.6.18-1etch1.
For the unstable distribution (sid), this problem has been fixed in
version 1.6.18-1.1
We recommend that you upgrade your eggdrop package.


Solution : http://www.debian.org/security/2008/dsa-1448
Risk factor : High';

if (description) {
 script_id(29857);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1448");
 script_cve_id("CVE-2007-2807");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1448] DSA-1448-1 eggdrop");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1448-1 eggdrop");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'eggdrop', release: '3.1', reference: '1.6.17-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package eggdrop is vulnerable in Debian 3.1.\nUpgrade to eggdrop_1.6.17-3sarge1\n');
}
if (deb_check(prefix: 'eggdrop-data', release: '3.1', reference: '1.6.17-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package eggdrop-data is vulnerable in Debian 3.1.\nUpgrade to eggdrop-data_1.6.17-3sarge1\n');
}
if (deb_check(prefix: 'eggdrop', release: '4.0', reference: '1.6.18-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package eggdrop is vulnerable in Debian 4.0.\nUpgrade to eggdrop_1.6.18-1etch1\n');
}
if (deb_check(prefix: 'eggdrop-data', release: '4.0', reference: '1.6.18-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package eggdrop-data is vulnerable in Debian 4.0.\nUpgrade to eggdrop-data_1.6.18-1etch1\n');
}
if (deb_check(prefix: 'eggdrop', release: '4.0', reference: '1.6.18-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package eggdrop is vulnerable in Debian etch.\nUpgrade to eggdrop_1.6.18-1etch1\n');
}
if (deb_check(prefix: 'eggdrop', release: '3.1', reference: '1.6.17-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package eggdrop is vulnerable in Debian sarge.\nUpgrade to eggdrop_1.6.17-3sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
