# This script was automatically generated from the dsa-1452
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
"k1tk4t" discovered that wzdftpd, a portable, modular, small and efficient
ftp server, did not correctly handle the receipt of long usernames.  This
could allow remote users to cause the daemon to exit.
For the old stable distribution (sarge), this problem has been fixed in
version 0.5.2-1.1sarge3.
For the stable distribution (etch), this problem has been fixed in version
0.8.1-2etch1.
For the unstable distribution (sid), this problem has been fixed in version
0.8.2-2.1.
We recommend that you upgrade your wzdftpd package.


Solution : http://www.debian.org/security/2008/dsa-1452
Risk factor : High';

if (description) {
 script_id(29861);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1452");
 script_cve_id("CVE-2007-5300");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1452] DSA-1452-1 wzdftpd");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1452-1 wzdftpd");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'wzdftpd', release: '3.1', reference: '0.5.2-1.1sarge3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd is vulnerable in Debian 3.1.\nUpgrade to wzdftpd_0.5.2-1.1sarge3\n');
}
if (deb_check(prefix: 'wzdftpd-back-mysql', release: '3.1', reference: '0.5.2-1.1sarge3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd-back-mysql is vulnerable in Debian 3.1.\nUpgrade to wzdftpd-back-mysql_0.5.2-1.1sarge3\n');
}
if (deb_check(prefix: 'wzdftpd-dev', release: '3.1', reference: '0.5.2-1.1sarge3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd-dev is vulnerable in Debian 3.1.\nUpgrade to wzdftpd-dev_0.5.2-1.1sarge3\n');
}
if (deb_check(prefix: 'wzdftpd-mod-perl', release: '3.1', reference: '0.5.2-1.1sarge3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd-mod-perl is vulnerable in Debian 3.1.\nUpgrade to wzdftpd-mod-perl_0.5.2-1.1sarge3\n');
}
if (deb_check(prefix: 'wzdftpd-mod-tcl', release: '3.1', reference: '0.5.2-1.1sarge3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd-mod-tcl is vulnerable in Debian 3.1.\nUpgrade to wzdftpd-mod-tcl_0.5.2-1.1sarge3\n');
}
if (deb_check(prefix: 'wzdftpd', release: '4.0', reference: '0.8.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd is vulnerable in Debian 4.0.\nUpgrade to wzdftpd_0.8.1-2etch1\n');
}
if (deb_check(prefix: 'wzdftpd-back-mysql', release: '4.0', reference: '0.8.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd-back-mysql is vulnerable in Debian 4.0.\nUpgrade to wzdftpd-back-mysql_0.8.1-2etch1\n');
}
if (deb_check(prefix: 'wzdftpd-back-pgsql', release: '4.0', reference: '0.8.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd-back-pgsql is vulnerable in Debian 4.0.\nUpgrade to wzdftpd-back-pgsql_0.8.1-2etch1\n');
}
if (deb_check(prefix: 'wzdftpd-dev', release: '4.0', reference: '0.8.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd-dev is vulnerable in Debian 4.0.\nUpgrade to wzdftpd-dev_0.8.1-2etch1\n');
}
if (deb_check(prefix: 'wzdftpd-mod-avahi', release: '4.0', reference: '0.8.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd-mod-avahi is vulnerable in Debian 4.0.\nUpgrade to wzdftpd-mod-avahi_0.8.1-2etch1\n');
}
if (deb_check(prefix: 'wzdftpd-mod-perl', release: '4.0', reference: '0.8.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd-mod-perl is vulnerable in Debian 4.0.\nUpgrade to wzdftpd-mod-perl_0.8.1-2etch1\n');
}
if (deb_check(prefix: 'wzdftpd-mod-tcl', release: '4.0', reference: '0.8.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd-mod-tcl is vulnerable in Debian 4.0.\nUpgrade to wzdftpd-mod-tcl_0.8.1-2etch1\n');
}
if (deb_check(prefix: 'wzdftpd', release: '4.0', reference: '0.8.1-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd is vulnerable in Debian etch.\nUpgrade to wzdftpd_0.8.1-2etch1\n');
}
if (deb_check(prefix: 'wzdftpd', release: '3.1', reference: '0.5.2-1.1sarge3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wzdftpd is vulnerable in Debian sarge.\nUpgrade to wzdftpd_0.5.2-1.1sarge3\n');
}
if (w) { security_hole(port: 0, data: desc); }
