# This script was automatically generated from the dsa-1456
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Daniel B. Cid discovered that fail2ban, a tool to block IP addresses
that cause login failures, is too liberal about parsing SSH log files,
allowing an attacker to block any IP address.


The old stable distribution (sarge) doesn\'t contain fail2ban.


For the stable distribution (etch), this problem has been fixed in
version 0.7.5-2etch1.


For the unstable distribution (sid), this problem has been fixed in
version 0.8.0-4.


We recommend that you upgrade your fail2ban package.



Solution : http://www.debian.org/security/2008/dsa-1456
Risk factor : High';

if (description) {
 script_id(29903);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1456");
 script_cve_id("CVE-2007-4321");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1456] DSA-1456-1 fail2ban");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1456-1 fail2ban");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'fail2ban', release: '4.0', reference: '0.7.5-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package fail2ban is vulnerable in Debian 4.0.\nUpgrade to fail2ban_0.7.5-2etch1\n');
}
if (deb_check(prefix: 'fail2ban', release: '4.0', reference: '0.7.5-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package fail2ban is vulnerable in Debian etch.\nUpgrade to fail2ban_0.7.5-2etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
