# This script was automatically generated from the dsa-1461
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Brad Fitzpatrick discovered that the UTF-8 decoding functions of libxml2,
the GNOME XML library, validate UTF-8 correctness insufficiently, which
may lead to denial of service by forcing libxml2 into an infinite loop.


For the old stable distribution (sarge), this problem has been fixed in
version 2.6.16-7sarge1.


For the stable distribution (etch), this problem has been fixed in
version 2.6.27.dfsg-2.


For the unstable distribution (sid), this problem will be fixed soon.


We recommend that you upgrade your libxml2 packages.



Solution : http://www.debian.org/security/2008/dsa-1461
Risk factor : High';

if (description) {
 script_id(29938);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1461");
 script_cve_id("CVE-2007-6284");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1461] DSA-1461-1 libxml2");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1461-1 libxml2");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libxml2', release: '3.1', reference: '2.6.16-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2 is vulnerable in Debian 3.1.\nUpgrade to libxml2_2.6.16-7sarge1\n');
}
if (deb_check(prefix: 'libxml2-dev', release: '3.1', reference: '2.6.16-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2-dev is vulnerable in Debian 3.1.\nUpgrade to libxml2-dev_2.6.16-7sarge1\n');
}
if (deb_check(prefix: 'libxml2-doc', release: '3.1', reference: '2.6.16-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2-doc is vulnerable in Debian 3.1.\nUpgrade to libxml2-doc_2.6.16-7sarge1\n');
}
if (deb_check(prefix: 'libxml2-python2.3', release: '3.1', reference: '2.6.16-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2-python2.3 is vulnerable in Debian 3.1.\nUpgrade to libxml2-python2.3_2.6.16-7sarge1\n');
}
if (deb_check(prefix: 'libxml2-utils', release: '3.1', reference: '2.6.16-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2-utils is vulnerable in Debian 3.1.\nUpgrade to libxml2-utils_2.6.16-7sarge1\n');
}
if (deb_check(prefix: 'python-libxml2', release: '3.1', reference: '2.6.16-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package python-libxml2 is vulnerable in Debian 3.1.\nUpgrade to python-libxml2_2.6.16-7sarge1\n');
}
if (deb_check(prefix: 'python2.2-libxml2', release: '3.1', reference: '2.6.16-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package python2.2-libxml2 is vulnerable in Debian 3.1.\nUpgrade to python2.2-libxml2_2.6.16-7sarge1\n');
}
if (deb_check(prefix: 'python2.3-libxml2', release: '3.1', reference: '2.6.16-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package python2.3-libxml2 is vulnerable in Debian 3.1.\nUpgrade to python2.3-libxml2_2.6.16-7sarge1\n');
}
if (deb_check(prefix: 'python2.4-libxml2', release: '3.1', reference: '2.6.16-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package python2.4-libxml2 is vulnerable in Debian 3.1.\nUpgrade to python2.4-libxml2_2.6.16-7sarge1\n');
}
if (deb_check(prefix: 'libxml2', release: '4.0', reference: '2.6.27.dfsg-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2 is vulnerable in Debian 4.0.\nUpgrade to libxml2_2.6.27.dfsg-2\n');
}
if (deb_check(prefix: 'libxml2-dbg', release: '4.0', reference: '2.6.27.dfsg-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2-dbg is vulnerable in Debian 4.0.\nUpgrade to libxml2-dbg_2.6.27.dfsg-2\n');
}
if (deb_check(prefix: 'libxml2-dev', release: '4.0', reference: '2.6.27.dfsg-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2-dev is vulnerable in Debian 4.0.\nUpgrade to libxml2-dev_2.6.27.dfsg-2\n');
}
if (deb_check(prefix: 'libxml2-doc', release: '4.0', reference: '2.6.27.dfsg-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2-doc is vulnerable in Debian 4.0.\nUpgrade to libxml2-doc_2.6.27.dfsg-2\n');
}
if (deb_check(prefix: 'libxml2-utils', release: '4.0', reference: '2.6.27.dfsg-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2-utils is vulnerable in Debian 4.0.\nUpgrade to libxml2-utils_2.6.27.dfsg-2\n');
}
if (deb_check(prefix: 'python-libxml2', release: '4.0', reference: '2.6.27.dfsg-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package python-libxml2 is vulnerable in Debian 4.0.\nUpgrade to python-libxml2_2.6.27.dfsg-2\n');
}
if (deb_check(prefix: 'libxml2', release: '4.0', reference: '2.6.27.dfsg-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2 is vulnerable in Debian etch.\nUpgrade to libxml2_2.6.27.dfsg-2\n');
}
if (deb_check(prefix: 'libxml2', release: '3.1', reference: '2.6.16-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libxml2 is vulnerable in Debian sarge.\nUpgrade to libxml2_2.6.16-7sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
