# This script was automatically generated from the dsa-1469
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Sean de Regge and Greg Linares discovered multiple heap and stack based
buffer overflows in FLAC, the Free Lossless Audio Codec, which could
lead to the execution of arbitrary code.
For the old stable distribution (sarge), these problems have been
fixed in version 1.1.1-5sarge1.
For the stable distribution (etch), these problems have been fixed in
version 1.1.2-8.
For the unstable distribution (sid), these problems have been fixed in
version 1.2.1-1.
We recommend that you upgrade your flac packages.


Solution : http://www.debian.org/security/2008/dsa-1469
Risk factor : High';

if (description) {
 script_id(30061);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1469");
 script_cve_id("CVE-2007-4619", "CVE-2007-6277");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1469] DSA-1469-1 flac");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1469-1 flac");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'flac', release: '3.1', reference: '1.1.1-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package flac is vulnerable in Debian 3.1.\nUpgrade to flac_1.1.1-5sarge1\n');
}
if (deb_check(prefix: 'libflac-dev', release: '3.1', reference: '1.1.1-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libflac-dev is vulnerable in Debian 3.1.\nUpgrade to libflac-dev_1.1.1-5sarge1\n');
}
if (deb_check(prefix: 'libflac6', release: '3.1', reference: '1.1.1-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libflac6 is vulnerable in Debian 3.1.\nUpgrade to libflac6_1.1.1-5sarge1\n');
}
if (deb_check(prefix: 'liboggflac-dev', release: '3.1', reference: '1.1.1-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package liboggflac-dev is vulnerable in Debian 3.1.\nUpgrade to liboggflac-dev_1.1.1-5sarge1\n');
}
if (deb_check(prefix: 'liboggflac1', release: '3.1', reference: '1.1.1-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package liboggflac1 is vulnerable in Debian 3.1.\nUpgrade to liboggflac1_1.1.1-5sarge1\n');
}
if (deb_check(prefix: 'xmms-flac', release: '3.1', reference: '1.1.1-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xmms-flac is vulnerable in Debian 3.1.\nUpgrade to xmms-flac_1.1.1-5sarge1\n');
}
if (deb_check(prefix: 'flac', release: '4.0', reference: '1.1.2-8')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package flac is vulnerable in Debian 4.0.\nUpgrade to flac_1.1.2-8\n');
}
if (deb_check(prefix: 'libflac-dev', release: '4.0', reference: '1.1.2-8')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libflac-dev is vulnerable in Debian 4.0.\nUpgrade to libflac-dev_1.1.2-8\n');
}
if (deb_check(prefix: 'libflac-doc', release: '4.0', reference: '1.1.2-8')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libflac-doc is vulnerable in Debian 4.0.\nUpgrade to libflac-doc_1.1.2-8\n');
}
if (deb_check(prefix: 'libflac7', release: '4.0', reference: '1.1.2-8')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libflac7 is vulnerable in Debian 4.0.\nUpgrade to libflac7_1.1.2-8\n');
}
if (deb_check(prefix: 'liboggflac-dev', release: '4.0', reference: '1.1.2-8')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package liboggflac-dev is vulnerable in Debian 4.0.\nUpgrade to liboggflac-dev_1.1.2-8\n');
}
if (deb_check(prefix: 'liboggflac3', release: '4.0', reference: '1.1.2-8')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package liboggflac3 is vulnerable in Debian 4.0.\nUpgrade to liboggflac3_1.1.2-8\n');
}
if (deb_check(prefix: 'xmms-flac', release: '4.0', reference: '1.1.2-8')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xmms-flac is vulnerable in Debian 4.0.\nUpgrade to xmms-flac_1.1.2-8\n');
}
if (deb_check(prefix: 'flac', release: '4.0', reference: '1.1.2-8')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package flac is vulnerable in Debian etch.\nUpgrade to flac_1.1.2-8\n');
}
if (deb_check(prefix: 'flac', release: '3.1', reference: '1.1.1-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package flac is vulnerable in Debian sarge.\nUpgrade to flac_1.1.1-5sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
