# This script was automatically generated from the dsa-1475
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Jos&eacute; Ram&oacute;n Palanco discovered that a cross site scripting vulnerability
in GForge, a collaborative development tool, allows remote attackers to
inject arbitrary web script or HTML in the context of a logged in user\'s
session.
The old stable distribution (sarge) is not affected by this problem.
For the stable distribution (etch), this problem has been fixed in version
4.5.14-22etch5.
For the unstable distribution (sid) this problem has been fixed in
version 4.6.99+svn6347-1.
We recommend that you upgrade your gforge package.


Solution : http://www.debian.org/security/2008/dsa-1475
Risk factor : High';

if (description) {
 script_id(30067);
 script_version("$Revision: 1.3 $");
 script_xref(name: "DSA", value: "1475");
 script_cve_id("CVE-2007-0176");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1475] DSA-1475-1 gforge");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1475-1 gforge");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'gforge', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge is vulnerable in Debian 4.0.\nUpgrade to gforge_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-common', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-common is vulnerable in Debian 4.0.\nUpgrade to gforge-common_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-db-postgresql', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-db-postgresql is vulnerable in Debian 4.0.\nUpgrade to gforge-db-postgresql_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-dns-bind9', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-dns-bind9 is vulnerable in Debian 4.0.\nUpgrade to gforge-dns-bind9_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-ftp-proftpd', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-ftp-proftpd is vulnerable in Debian 4.0.\nUpgrade to gforge-ftp-proftpd_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-ldap-openldap', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-ldap-openldap is vulnerable in Debian 4.0.\nUpgrade to gforge-ldap-openldap_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-lists-mailman', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-lists-mailman is vulnerable in Debian 4.0.\nUpgrade to gforge-lists-mailman_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-mta-courier', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-courier is vulnerable in Debian 4.0.\nUpgrade to gforge-mta-courier_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-mta-exim', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-exim is vulnerable in Debian 4.0.\nUpgrade to gforge-mta-exim_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-mta-exim4', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-exim4 is vulnerable in Debian 4.0.\nUpgrade to gforge-mta-exim4_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-mta-postfix', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-postfix is vulnerable in Debian 4.0.\nUpgrade to gforge-mta-postfix_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-shell-ldap', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-shell-ldap is vulnerable in Debian 4.0.\nUpgrade to gforge-shell-ldap_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-shell-postgresql', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-shell-postgresql is vulnerable in Debian 4.0.\nUpgrade to gforge-shell-postgresql_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge-web-apache', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-web-apache is vulnerable in Debian 4.0.\nUpgrade to gforge-web-apache_4.5.14-22etch5\n');
}
if (deb_check(prefix: 'gforge', release: '4.0', reference: '4.5.14-22etch5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge is vulnerable in Debian etch.\nUpgrade to gforge_4.5.14-22etch5\n');
}
if (w) { security_hole(port: 0, data: desc); }
