# This script was automatically generated from the dsa-1482
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that malformed cache update replies against the Squid
WWW proxy cache could lead to the exhaustion of system memory, resulting
in potential denial of service.
For the old stable distribution (sarge), the update cannot currently
be processed on the buildd security network due to a bug in the archive
management script. This will be resolved soon. An update for i386
is temporarily available at "http://people.debian.org/~jmm/squid/" /.
For the stable distribution (etch), this problem has been fixed in
version 2.6.5-6etch1.
We recommend that you upgrade your squid packages.


Solution : http://www.debian.org/security/2008/dsa-1482
Risk factor : High';

if (description) {
 script_id(30190);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1482");
 script_cve_id("CVE-2007-6239");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1482] DSA-1482-1 squid");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1482-1 squid");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'squid', release: '4.0', reference: '2.6.5-6etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package squid is vulnerable in Debian 4.0.\nUpgrade to squid_2.6.5-6etch1\n');
}
if (deb_check(prefix: 'squid-cgi', release: '4.0', reference: '2.6.5-6etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package squid-cgi is vulnerable in Debian 4.0.\nUpgrade to squid-cgi_2.6.5-6etch1\n');
}
if (deb_check(prefix: 'squid-common', release: '4.0', reference: '2.6.5-6etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package squid-common is vulnerable in Debian 4.0.\nUpgrade to squid-common_2.6.5-6etch1\n');
}
if (deb_check(prefix: 'squidclient', release: '4.0', reference: '2.6.5-6etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package squidclient is vulnerable in Debian 4.0.\nUpgrade to squidclient_2.6.5-6etch1\n');
}
if (deb_check(prefix: 'squid', release: '4.0', reference: '2.6.5-6etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package squid is vulnerable in Debian etch.\nUpgrade to squid_2.6.5-6etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
