# This script was automatically generated from the dsa-1486
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

<q>r0t</q> discovered that gnatsweb, a web interface to GNU GNATS, did not
correctly sanitize the database parameter in the main CGI script.  This
could allow the injection of arbitrary HTML, or javascript code.
For the stable distribution (etch), this problem has been fixed in version
4.00-1etch1.
We recommend that you upgrade your gnatsweb package.


Solution : http://www.debian.org/security/2008/dsa-1486
Risk factor : High';

if (description) {
 script_id(30155);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1486");
 script_cve_id("CVE-2007-2808");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1486] DSA-1486-1 gnatsweb");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1486-1 gnatsweb");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'gnatsweb', release: '4.0', reference: '4.00-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gnatsweb is vulnerable in Debian 4.0.\nUpgrade to gnatsweb_4.00-1etch1\n');
}
if (deb_check(prefix: 'gnatsweb', release: '4.0', reference: '4.00-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gnatsweb is vulnerable in Debian etch.\nUpgrade to gnatsweb_4.00-1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
