# This script was automatically generated from the dsa-1500
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Mike Ashton discovered that splitvt, a utility to run two programs in a
split screen, did not drop group privileges prior to executing \'xprop\'.
This could allow any local user to gain the privileges of group utmp.
For the stable distribution (etch), this problem has been fixed in version
1.6.5-9etch1.
For the unstable distribution (sid), this problem has been fixed in
version 1.6.6-4.
We recommend that you upgrade your splitvt package.


Solution : http://www.debian.org/security/2008/dsa-1500
Risk factor : High';

if (description) {
 script_id(31144);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1500");
 script_cve_id("CVE-2008-0162");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1500] DSA-1500-1 splitvt");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1500-1 splitvt");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'splitvt', release: '4.0', reference: '1.6.5-9etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package splitvt is vulnerable in Debian 4.0.\nUpgrade to splitvt_1.6.5-9etch1\n');
}
if (deb_check(prefix: 'splitvt', release: '4.0', reference: '1.6.5-9etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package splitvt is vulnerable in Debian etch.\nUpgrade to splitvt_1.6.5-9etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
