#
# (C) Tenable Network Security, Inc.
#


if (description)
{
  script_id(31135);
  script_version("$Revision: 1.2 $");

  script_cve_id(
    "CVE-2008-0412",
    "CVE-2008-0413",
    "CVE-2008-0414",
    "CVE-2008-0415",
    "CVE-2008-0417",
    "CVE-2008-0418",
    "CVE-2008-0419",
    "CVE-2008-0420",
    "CVE-2008-0591",
    "CVE-2008-0592",
    "CVE-2008-0593",
    "CVE-2008-0594"
  );
  script_bugtraq_id(24293, 27406, 27683, 27826);
  script_xref(name:"Secunia", value:"29049");

  script_name(english:"Netscape < 9.0.0.6");
  script_summary(english:"Checks version of Netscape");

  desc = "
Synopsis :

The remote Windows host contains a web browser that is affected by
multiple vulnerabilities. 

Description :

The installed version of Netscape is affected by various security
issues :

  - Several stability bugs leading to crashes which, in
    some cases, show traces of memory corruption

  - Several file input focus stealing vulnerabilities
    that could result in uploading of arbitrary files
    provided their full path and file names are known.

  - Several issues that allow scripts from page content 
    to escape from their sandboxed context and/or run 
    with chrome privileges, resulting in privilege 
    escalation, XSS, and/or remote code execution.

  - An issue that could allow a malicious site to inject
    newlines into the application's password store when
    a user saves his password, resulting in corruption
    of saved passwords for other sites.  

  - A directory traversal vulnerability via the 
    'chrome:' URI.

  - A vulnerability involving 'designMode' frames that
    may result in web browsing history and forward 
    navigation stealing.

  - An information disclosure issue in the BMP 
    decoder.

  - A file action dialog tampering vulnerability
    involving timer-enabled security dialogs.

  - Mis-handling of locally-saved plain text files.

  - Possible disclosure of sensitive URL parameters,
    such as session tokens, via the .href property of 
    stylesheet DOM nodes reflecting the final URI of 
    the stylesheet after following any 302 redirects.

  - A failure to display a web forgery warning dialog
    in cases where the entire contents of a page are
    enclosed in a '<div>' with absolute positioning.

See also :

http://www.mozilla.org/security/announce/2008/mfsa2008-01.html
http://www.mozilla.org/security/announce/2008/mfsa2008-02.html
http://www.mozilla.org/security/announce/2008/mfsa2008-03.html
http://www.mozilla.org/security/announce/2008/mfsa2008-04.html
http://www.mozilla.org/security/announce/2008/mfsa2008-05.html
http://www.mozilla.org/security/announce/2008/mfsa2008-06.html
http://www.mozilla.org/security/announce/2008/mfsa2008-07.html
http://www.mozilla.org/security/announce/2008/mfsa2008-08.html
http://www.mozilla.org/security/announce/2008/mfsa2008-09.html
http://www.mozilla.org/security/announce/2008/mfsa2008-10.html
http://www.mozilla.org/security/announce/2008/mfsa2008-11.html
http://browser.netscape.com/releasenotes/9.0.0.6/

Solution :

Upgrade to Netscape Navigator 9.0.0.6.  Or switch to another browser
as support for the browser ends as of March 1, 2008. 

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)";
  script_description(english:desc);
 
  script_category(ACT_GATHER_INFO);
  script_family(english:"Windows");
 
  script_copyright(english:"This script is Copyright (C) 2008 Tenable Network Security, Inc.");
 
  script_dependencies("netscape_browser_detect.nasl");
  script_require_keys("SMB/Netscape/installed");

  exit(0);
}


list = get_kb_list("SMB/Netscape/*");
if (isnull(list)) exit(0);

foreach key (keys(list))
{
  ver = key - "SMB/Netscape/";
  if (ver && ver =~ "^([0-8]\.|9\.0($|\.0\.[0-5]))")
  {
    security_hole(get_kb_item("SMB/transport"));
    exit(0);
  }
}
