#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25622);
 script_version ("$Revision: 1.2 $");
 script_cve_id("CVE-2006-5752", "CVE-2007-1863");

 name["english"] = "RHSA-2007-0533: httpd";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated Apache httpd packages that correct two security issues and two bugs
  are now available for Red Hat Enterprise Linux 3.

  This update has been rated as having moderate security impact by the Red
  Hat Security Response Team.

  The Apache HTTP Server is a popular Web server.

  A flaw was found in the Apache HTTP Server mod_status module. On sites
  where the server-status page is publicly accessible and ExtendedStatus is
  enabled this could lead to a cross-site scripting attack. On Red Hat
  Enterprise Linux the server-status page is not enabled by default and it is
  best practice to not make this publicly available. (CVE-2006-5752)

  A flaw was found in the Apache HTTP Server mod_cache module. On sites where
  caching is enabled, a remote attacker could send a carefully crafted
  request that would cause the Apache child process handling that request to
  crash. This could lead to a denial of service if using a threaded
  Multi-Processing Module. (CVE-2007-1863)

  In addition, two bugs were fixed:

  * when the ProxyErrorOverride directive was enabled, responses with 3xx
  status-codes would be overriden at the proxy. This has been changed so that
  only 4xx and 5xx responses are overriden.

  * the "ProxyTimeout" directive was not inherited across virtual host
  definitions.

  Users of httpd should upgrade to these updated packages, which contain
  backported patches to correct these issues. Users should restart Apache
  after installing this update.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0533.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the httpd packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"httpd-2.0.46-67.ent", release:"RHEL3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"httpd-devel-2.0.46-67.ent", release:"RHEL3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"mod_ssl-2.0.46-67.ent", release:"RHEL3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"httpd-2.0.46-67.ent", release:"RHEL3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"httpd-devel-2.0.46-67.ent", release:"RHEL3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"mod_ssl-2.0.46-67.ent", release:"RHEL3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"httpd-2.0.46-67.ent", release:"RHEL3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"httpd-devel-2.0.46-67.ent", release:"RHEL3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"mod_ssl-2.0.46-67.ent", release:"RHEL3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}

if ( rpm_exists(rpm:"httpd-", release:"RHEL3") )
{
 set_kb_item(name:"CVE-2006-5752", value:TRUE);
 set_kb_item(name:"CVE-2007-1863", value:TRUE);
}
if ( rpm_exists(rpm:"httpd-", release:"RHEL3") )
{
 set_kb_item(name:"CVE-2006-5752", value:TRUE);
 set_kb_item(name:"CVE-2007-1863", value:TRUE);
}
if ( rpm_exists(rpm:"httpd-", release:"RHEL3") )
{
 set_kb_item(name:"CVE-2006-5752", value:TRUE);
 set_kb_item(name:"CVE-2007-1863", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0533", value:TRUE);
