#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(29778);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-6285");

 name["english"] = "RHSA-2007-1177: autofs";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated autofs5 technology preview packages that fix a security issue are
  now available for Red Hat Enterprise Linux 4.

  This update has been rated as having important security impact by the Red
  Hat Security Response Team.

  The autofs utility controls the operation of the automount daemon, which
  automatically mounts file systems when you use them, and unmounts them when
  you are not using them. This can include network file systems and CD-ROMs.
  The autofs5 packages were made available as a technology preview in Red Hat
  Enterprise Linux 4.6.

  There was a security issue with the default configuration of autofs version
  5, whereby the entry for the "-hosts" map did not specify the "nodev" mount
  option. A local user with control of a remote NFS server could create
  special device files on the remote file system, that if mounted using the
  default "-hosts" map, could allow the user to access important system
  devices. (CVE-2007-6285)

  This issue is similar to CVE-2007-5964, which fixed a missing "nosuid"
  mount option in autofs. Both the "nodev" and "nosuid" options should be
  enabled to prevent a possible compromise of machine integrity.

  Due to the fact that autofs always mounted "-hosts" map entries "dev" by
  default, autofs has now been altered to always use the "nodev" option when
  mounting from the default "-hosts" map. The "dev" option must be explicitly
  given in the master map entry to revert to the old behavior. This change
  affects only the "-hosts" map which corresponds to the "/net" entry in the
  default configuration.

  All autofs5 users are advised to upgrade to these updated packages, which
  resolve this issue.

  Red Hat would like to thank Tim Baum for reporting this issue.




Solution : http://rhn.redhat.com/errata/RHSA-2007-1177.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the autofs packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"autofs5-5.0.1-0.rc2.55.el4_6.2", release:"RHEL4") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"autofs5-5.0.1-0.rc2.55.el4_6.2", release:"RHEL4") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"autofs5-5.0.1-0.rc2.55.el4_6.2", release:"RHEL4") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}

if ( rpm_exists(rpm:"autofs-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-6285", value:TRUE);
}
if ( rpm_exists(rpm:"autofs-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-6285", value:TRUE);
}
if ( rpm_exists(rpm:"autofs-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-6285", value:TRUE);
}

set_kb_item(name:"RHSA-2007-1177", value:TRUE);
