#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29372);
 script_cve_id("CVE-2006-3747", "CVE-2005-3352");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for Apache2 (apache2-1906)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch apache2-1906.

Description :

This update fixes security problems in the Apache2
webserver:

mod_rewrite: Fixed an off-by-one security problem in the
ldap scheme handling. For some RewriteRules this could lead
to a pointer being written out of bounds (CVE-2006-3747).

For SUSE Linux Enterprise Server 10 additionaly an old
security problem was fixed: mod_imap: Fixes a
cross-site-scripting bug in the imagemap module
(CVE-2005-3352).


Solution : 

Install the security patch apache2-1906.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the apache2-1906 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"apache2-2.2.0-21.7", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"apache2-prefork-2.2.0-21.7", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"apache2-worker-2.2.0-21.7", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
