#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(27161);
 script_cve_id("CVE-2006-6870");

 script_version ("$Revision: 1.4 $");

 name["english"] = "SuSE Security Update: avahi: Fixed remote denial of service problem (avahi-2982)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch avahi-2982.

Description :

This update fixes a remote denial of service problem in
avahi, where attackers could cause an endless loop.
(CVE-2006-6870)


Solution : 

Install the security patch avahi-2982.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the avahi-2982 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"avahi-0.6.5-29.12", release:"SUSE10.1") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"avahi-devel-0.6.5-29.12", release:"SUSE10.1") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"avahi-0.6.14-36", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"avahi-devel-0.6.14-36", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
