#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(27176);
 
 script_version ("$Revision: 1.4 $");

 name["english"] = "SuSE Security Update: clamav: Upgrade to version 0.88.6 (clamav-2242)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch clamav-2242.

Description :

The virus scan engine ClamAV was update to version 0.88.6.

Following issues are fixed by this update:

- freshclam: apply timeout patch from Everton da Silva
  Marques (new options: ConnectTimeout and ReceiveTimeout)
- clamd: change stack size at the right place (closes
  clamav bug#103)
- libclamav/petite.c: sanity check the number of rebuilt
  sections (speeds up handling of malformed files)


Solution : 

Install the security patch clamav-2242.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the clamav-2242 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"clamav-0.88.6-1.4", release:"SUSE10.1") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
