#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(31111);
 script_cve_id("CVE-2008-0318", "CVE-2008-0728");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for clamav (clamav-5008)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch clamav-5008.

Description :

This version upgrade to 0.92.1  fixes numerous flaws
including some security problems (CVE-2008-0318,
CVE-2008-0728).

Please note that the version number of the clamav library
has changed in version 0.92. Programs linked against older
libclamav therefore need to be updated as well.


Solution : 

Install the security patch clamav-5008.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the clamav-5008 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2008 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"clamav-0.92.1-0.2", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
