#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(31298);
 script_cve_id("CVE-2006-7196", "CVE-2007-3382", "CVE-2007-3385", "CVE-2007-5641", "CVE-2007-1860", "CVE-2008-0128", "CVE-2005-2090");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for Tomcat 5 (tomcat5-4990)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch tomcat5-4990.

Description :

- CVE-2006-7196: Cross-site scripting (XSS) vulnerability
  in example JSP applications
 - CVE-2007-3382: Handling of cookies containing a '
   character
 - CVE-2007-3385: Handling of \' in cookies
 - CVE-2007-5641: tomcat path traversal / information leak
 - CVE-2007-1860: directory traversal
 - CVE-2008-0128: tomcat https information disclosure
 - CVE-2005-2090: tomcat HTTP Request Smuggling


Solution : 

Install the security patch tomcat5-4990.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the tomcat5-4990 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2008 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"tomcat5-5.0.30-27.21", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"tomcat5-admin-webapps-5.0.30-27.21", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"tomcat5-webapps-5.0.30-27.21", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
