#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29601);
 script_cve_id("CVE-2007-1246");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for xine-lib (xine-lib-2988)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch xine-lib-2988.

Description :

The DirectShow loader uses wrong parameters in the memcpy
function call which leads to a buffer overflow.
CVE-2007-1246 has been assigned to this issue.


Solution : 

Install the security patch xine-lib-2988.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the xine-lib-2988 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"xine-lib-1.1.1-24.20", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
