# This script was automatically generated from the dsa-1505
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Takashi Iwai supplied a fix for a memory leak in the snd_page_alloc module.
Local users could exploit this issue to obtain sensitive information from
the kernel (CVE-2007-4571).
For the oldstable distribution (sarge), this problem has been fixed in
version 1.0.8-7sarge1. The prebuilt modules provided by alsa-modules-i386
have been rebuilt to take advantage of this update, and are available in
version 1.0.8+2sarge2.
For the stable distribution (etch), this problem has been fixed in
version 1.0.13-5etch1. This issue was already fixed for the version
of ALSA provided by linux-2.6 in DSA 1479.
For the unstable distributions (sid), this problem was fixed in version
1.0.15-1.
We recommend that you upgrade your alsa-driver and alsa-modules-i386
packages.


Solution : http://www.debian.org/security/2008/dsa-1505
Risk factor : High';

if (description) {
 script_id(31149);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1505");
 script_cve_id("CVE-2007-4571");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1505] DSA-1505-1 alsa-driver");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1505-1 alsa-driver");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'alsa-base', release: '3.1', reference: '1.0.8-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-base is vulnerable in Debian 3.1.\nUpgrade to alsa-base_1.0.8-7sarge1\n');
}
if (deb_check(prefix: 'alsa-headers', release: '3.1', reference: '1.0.8-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-headers is vulnerable in Debian 3.1.\nUpgrade to alsa-headers_1.0.8-7sarge1\n');
}
if (deb_check(prefix: 'alsa-modules-2.4-386', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4-386 is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4-386_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4-586tsc', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4-586tsc is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4-586tsc_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4-686', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4-686 is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4-686_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4-686-smp', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4-686-smp is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4-686-smp_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4-k6', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4-k6 is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4-k6_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4-k7', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4-k7 is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4-k7_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4-k7-smp', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4-k7-smp is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4-k7-smp_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4.27-4-386', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4.27-4-386 is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4.27-4-386_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4.27-4-586tsc', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4.27-4-586tsc is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4.27-4-586tsc_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4.27-4-686', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4.27-4-686 is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4.27-4-686_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4.27-4-686-smp', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4.27-4-686-smp is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4.27-4-686-smp_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4.27-4-k6', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4.27-4-k6 is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4.27-4-k6_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4.27-4-k7', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4.27-4-k7 is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4.27-4-k7_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-modules-2.4.27-4-k7-smp', release: '3.1', reference: '1.0.8+2sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-modules-2.4.27-4-k7-smp is vulnerable in Debian 3.1.\nUpgrade to alsa-modules-2.4.27-4-k7-smp_1.0.8+2sarge2\n');
}
if (deb_check(prefix: 'alsa-source', release: '3.1', reference: '1.0.8-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-source is vulnerable in Debian 3.1.\nUpgrade to alsa-source_1.0.8-7sarge1\n');
}
if (deb_check(prefix: 'alsa-base', release: '4.0', reference: '1.0.13-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-base is vulnerable in Debian 4.0.\nUpgrade to alsa-base_1.0.13-5etch1\n');
}
if (deb_check(prefix: 'alsa-source', release: '4.0', reference: '1.0.13-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-source is vulnerable in Debian 4.0.\nUpgrade to alsa-source_1.0.13-5etch1\n');
}
if (deb_check(prefix: 'linux-sound-base', release: '4.0', reference: '1.0.13-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package linux-sound-base is vulnerable in Debian 4.0.\nUpgrade to linux-sound-base_1.0.13-5etch1\n');
}
if (deb_check(prefix: 'alsa-driver', release: '4.0', reference: '1.0.13-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-driver is vulnerable in Debian etch.\nUpgrade to alsa-driver_1.0.13-5etch1\n');
}
if (deb_check(prefix: 'alsa-driver', release: '3.1', reference: '1.0.8-7sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package alsa-driver is vulnerable in Debian sarge.\nUpgrade to alsa-driver_1.0.8-7sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
