#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(27103);
 script_cve_id("CVE-2007-1667");

 script_version ("$Revision: 1.4 $");

 name["english"] = "SuSE Security Update: GraphicsMagick: This update fixes three integer overflows (GraphicsMagick-3129)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch GraphicsMagick-3129.

Description :

This update of GraphicsMagick fixes three integer overflow
in DCM and XWD code. These bugs can be exploited remotely
via other application. (CVE-2007-1667,CVE-2007-1797)


Solution : 

Install the security patch GraphicsMagick-3129.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the GraphicsMagick-3129 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"GraphicsMagick-1.1.7-35.3", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"GraphicsMagick-c++-1.1.7-35.3", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"GraphicsMagick-c++-devel-1.1.7-35.3", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"GraphicsMagick-devel-1.1.7-35.3", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"perl-GraphicsMagick-1.1.7-35.3", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
