#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29498);
 script_cve_id("CVE-2007-1384", "CVE-2007-1385");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for ktorrent (ktorrent-3049)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch ktorrent-3049.

Description :

Ktorrent insufficiently validated the target file name. A
malicious Server could therefore overwrite arbitary files
of the user (CVE-2007-1384,CVE-2007-1799). Another bug
could be exploited to crash Ktorrent (CVE-2007-1385).


Solution : 

Install the security patch ktorrent-3049.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the ktorrent-3049 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"ktorrent-1.2-20.8", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
