#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(27345);
 script_cve_id("CVE-2006-4250");

 script_version ("$Revision: 1.4 $");

 name["english"] = "SuSE Security Update: man security update (man-3100)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch man-3100.

Description :

A heap based buffer overflow in the 'man' command could
potentially be exploited by users to run code as root
(CVE-2006-4250).


Solution : 

Install the security patch man-3100.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the man-3100 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"man-2.4.1-237.6", release:"SUSE10.1") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"man-2.4.3-28", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
