#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(30100);
 script_cve_id("CVE-2008-0225");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for xine (xine-devel-4926)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch xine-devel-4926.

Description :

Specially crafted rtsp-Streams could cause a buffer
overflow in xine. Attackers could potentially exploit that
to execute arbitrary code (CVE-2008-0225).

Additionally a security update of xorg-x11 revealed a bug
in xine-ui. The xine user interface didn't display properly
due to that.


Solution : 

Install the security patch xine-devel-4926.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the xine-devel-4926 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2008 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"xine-devel-1.1.1-24.26", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"xine-lib-1.1.1-24.26", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
